Encrypt API for Unloading Wallet

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Unload Wallet API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1480",
  "clientTxnId": "Unload_20240401101010",
  "requestDateTime": "20240408101000",
  "customerMobile": "9990099999",
  "customerId": "000000000081",
  "accountNumber": "606030003007700",
  "transactionAmount": 1000,
  "receiver": "CITRUS",
  "sourceType": 1,
  "fundFlowType": "0",
  "implId": "O|70000",
  "implType": "P2M_W2A_O",
  "beneficiaryId": 1102313,
  "fee": 10
}
'
Sample response
{
  "token": "TCFSqoj+1LGWCtQVuBB8MaIfQv+7N6Em4j0d6qyuuA58X580vP9ocyh6ROXuQ7ZzcCL6zpTedawIMU8zqLngXQ/4mRztEnmuLZe+sugbmCauKPFY/tdxv4eT41BDwfOXNA5drP0YRciBNfE526SooSPZ8EMYlEfLP3cUWY4WAZc7MWrbNJZ1NSYuLFYH671FoWtzsrS/amwKCHyRsHe6kNYeRhhMHiuHOFDkEeLL37jifYohsOhJWgyCw1jCDlJ5U8CSmwJ5e+m59+u1EdMxTgJnf2gg5kTKPTOmVWON40kZDdZwyq1R16BP5emZowsbIHkATsjsTYI661419EXRK7SVr5Q41/83983gp51PkApU0YboRb/v0OyXfBdWZrfdvMoUzczW0MQJmkEaF13QY/O1wA97F/k6TODPEFwpU1af2kSqFWVXpbImM7wXZVx8kKKWmO+UBTIoYCdGx7i0EIUykynXWVkvQXPZdxvtzSs="
}

Request parameters

📘

Reference:

For IMPL types, refer to IMPL IDs and Types.

Body Params
const
enum
required

This parameter must include the API Unique Identifier. For Unload API, it is 3450.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string | null

This parameter must contain mobile number of the cardholder starting with the country code.

string
required

This parameter must include an unique customer ID.

string
required

This parameter must include an unique identifier for the sub-wallet.

integer
required

This field must contain the amount for which card has been loaded. It is in implied decimals by two digits. For example, INR 5.25 is 525 in implied decimal.

string
required

This field must contain the name of the merchant/account holder/wallet holder.

string

This field must contain the receiver account type and it can be any of the following: 0 - Wallet 1 - Account

string

This field must contain the receiver account ID or number, wallet ID, or UPI VPA.

string

This field must contain the currency in which unload is taking place.

string

This field must contain an Unique ID generated by the client for each transaction. In case of refund we should send it.

integer
required

This field must contain the source type and it can be any of the following: 0 - Wallet 1 - Account

string
required

This field must contain the fundFlowType for Reload/Unload requests. Refer to the fund flows table in this section.

string
required

Refer to the IMPL ID table in this section for the applicable type of load.

string
required

Refer to the IMPL type table in this section for the applicable type of load.

string

This field must be used to store the refund file name, if applicable.

string

This field must contain the PG transaction ID for PG transaction.

string
Defaults to This field must contain the PG order ID, if any.
integer
required

This field must contain the valid beneficiary ID..

integer
required

This field contains the fee collected for the transaction. It is in implied decimals.

reservedField1
object

This field is reserved for future use.

string

This field is reserved for future use.

string

This field is reserved for future use.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!